Intel Centrino Driver downloads to avoid Vulnerability

Vulnerability : Intel Centrino Wireless Driver Malformed Frame Remote Code Execution

Last week a new security problem was announced in the Intel Centrino wireless drivers. It appears to affect the 2200BG and 2915ABG wireless hardware. These are extremely common components that are shipped in many laptops. You would do well to check whether yours or the ones you support have this hardware. The easiest way to check is to double-click the wireless icon in the system tray and then click Properties.

Download updated driver here (via)

According to Intel, “Security vulnerabilities exist in the Microsoft* Windows* drivers for the Intel® 2200BG and 2915ABG PRO/Wireless Network Connection Hardware because of the way that they currently handle certain frames. An attacker could potentially exploit these vulnerabilities which could potentially lead to remote code execution and system control

Author: admin

I like chocolate, gadgets, open source software, photography, traveling and all shades of green colors. I love spending time with fun loving friends and family members. This is my own online journal.

One thought on “Intel Centrino Driver downloads to avoid Vulnerability”

Comments are closed.